> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roboconoxon.org.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# List Screens



## OpenAPI

````yaml /openapi.json get /api/v1/screens
openapi: 3.1.0
info:
  title: Robotics Event System V4
  version: 4.0.0
servers: []
security: []
paths:
  /api/v1/screens:
    get:
      tags:
        - screens
      summary: List Screens
      operationId: list_screens_api_v1_screens_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ScreenOut'
                type: array
                title: Response List Screens Api V1 Screens Get
      security:
        - HTTPBearer: []
components:
  schemas:
    ScreenOut:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
        current:
          type: string
          title: Current
        config:
          type: string
          title: Config
      type: object
      required:
        - id
        - name
        - key
        - current
        - config
      title: ScreenOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````